ghc-7.0.3: The GHC API

Vectorise.Builtins.Prelude

Description

Mapping of prelude functions to vectorised versions. Functions like filterP currently have a working but naive version in GHC.PArr During vectorisation we replace these by calls to filterPA, which are defined in dph-common Data.Array.Parallel.Lifted.Combinators

As renamer only sees the GHC.PArr functions, if you want to add a new function to the vectoriser there has to be a definition for it in GHC.PArr, even though it will never be used at runtime.

# Documentation

preludeVars

Arguments

:: Modules | Modules containing the DPH backens
-> [(Module, FastString, Module, FastString)] |

preludeScalars :: Modules -> [(Module, FastString)]